Skip to navigation

List shipped serials

Retrieve a paged list of serial data (containing SKU, dates, and reference numbers) for a given ship date interval.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

RushOrderMomCodestringRequired
All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

Query parameters

pagedoubleOptional
The page number.
pageSizedoubleOptional
The amount of items per page.
startDatedatetimeOptional
The earliest possible ship date and time.
endDatedatetimeOptional
The latest possible ship date and time.

Response

Success
PageSizedoubleOptional
PagedoubleOptional
LastPagedoubleOptional
TotaldoubleOptional
CountdoubleOptional
SuccessbooleanOptional
ErrorstringOptional
MessagestringOptional
Datalist of objectsOptional

Errors

401
Unauthorized Error